package itz;

import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.JOptionPane;

import java.awt.Font;
import javax.swing.JTextField;
import javax.swing.Timer;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.awt.event.ActionEvent;

public class Reloj extends JFrame {

	private JPanel contentPane;
	private JTextField txtValor1;
	private JTextField txtValor2;
	private JTextField txtResultado;
	private Timer temporizador;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Reloj frame = new Reloj();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Reloj() {
		setTitle("Aplicaci\u00F3n con Reloj");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 783, 378);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		JLabel lblReloj = new JLabel("00:00:00");
		lblReloj.setFont(new Font("Arial", Font.PLAIN, 40));
		lblReloj.setBounds(582, 0, 171, 64);
		contentPane.add(lblReloj);
		
		JLabel lblValor1 = new JLabel("Valor 1:");
		lblValor1.setBounds(50, 88, 56, 16);
		contentPane.add(lblValor1);
		
		txtValor1 = new JTextField();
		txtValor1.setBounds(113, 85, 116, 22);
		contentPane.add(txtValor1);
		txtValor1.setColumns(10);
		
		JLabel lblValor2 = new JLabel("Valor 2:");
		lblValor2.setBounds(50, 124, 56, 16);
		contentPane.add(lblValor2);
		
		txtValor2 = new JTextField();
		txtValor2.setColumns(10);
		txtValor2.setBounds(113, 121, 116, 22);
		contentPane.add(txtValor2);
		
		JLabel lblResultado = new JLabel("Resultado:");
		lblResultado.setBounds(36, 177, 79, 16);
		contentPane.add(lblResultado);
		
		txtResultado = new JTextField();
		txtResultado.setEditable(false);
		txtResultado.setBounds(124, 174, 116, 22);
		contentPane.add(txtResultado);
		txtResultado.setColumns(10);
		
		JButton btnSumar = new JButton("Sumar");
		btnSumar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				try {
				double valor1=Double.parseDouble(txtValor1.getText());
				double valor2=Double.parseDouble(txtValor2.getText());
				double res=valor1+valor2;
				txtResultado.setText(""+res);
				} catch (Exception ex) {
					JOptionPane.showMessageDialog(null,"Formato no valido");
				}
			}
		});
		btnSumar.setBounds(362, 69, 97, 25);
		contentPane.add(btnSumar);
		
		JButton btnRestar = new JButton("Restar");
		btnRestar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				try {
					double valor1=Double.parseDouble(txtValor1.getText());
					double valor2=Double.parseDouble(txtValor2.getText());
					double res=valor1-valor2;
					txtResultado.setText(""+res);
					} catch (Exception ex) {
						JOptionPane.showMessageDialog(null,"Formato no valido");
					}
			}
		});
		btnRestar.setBounds(362, 104, 97, 25);
		contentPane.add(btnRestar);
		
		JButton btnMultiplicar = new JButton("Multiplicar");
		btnMultiplicar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				try {
					double valor1=Double.parseDouble(txtValor1.getText());
					double valor2=Double.parseDouble(txtValor2.getText());
					double res=valor1*valor2;
					txtResultado.setText(""+res);
					} catch (Exception ex) {
						JOptionPane.showMessageDialog(null,"Formato no valido");
					}
			}
		});
		btnMultiplicar.setBounds(362, 149, 97, 25);
		contentPane.add(btnMultiplicar);
		
		JButton btnDividir = new JButton("Dividir");
		btnDividir.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				try {
					double valor1=Double.parseDouble(txtValor1.getText());
					double valor2=Double.parseDouble(txtValor2.getText());
					double res=valor1/valor2;
					txtResultado.setText(""+res);
					} catch (Exception ex) {
						JOptionPane.showMessageDialog(null,"Formato no valido");
					}
			}
		});
		btnDividir.setBounds(362, 187, 97, 25);
		contentPane.add(btnDividir);
		
		//DEfinir y configurar Temporizador
		temporizador=new Timer(5000,new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				Date fecha=new Date();//Trae fecha y hora ctual del sistema
				SimpleDateFormat formato=new SimpleDateFormat("hh:mm:ss");
				lblReloj.setText(""+formato.format(fecha));
			}});
		temporizador.start();
	}
}
