package itz;

import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.text.SimpleDateFormat;
import java.util.Date;

import javax.swing.Timer;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JTextArea;


public class TimerAreaTexto extends JFrame {

	private JPanel contentPane;
	private Timer temporizador;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					TimerAreaTexto frame = new TimerAreaTexto();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public TimerAreaTexto() {
		setTitle("Ejemplo de una area de texto con timer");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 764, 618);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		JTextArea txtSalida = new JTextArea();
		txtSalida.setBounds(34, 13, 526, 479);
		contentPane.add(txtSalida);
		
		temporizador=new Timer(5000,new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				Date objDate = new Date(); // Sistema actual La fecha y la hora se asignan a objDate 
		        String strDateFormat = "hh: mm: ss a dd-MMM-aaaa"; // El formato de fecha est especificado  
		        SimpleDateFormat objSDF = new SimpleDateFormat(strDateFormat); // La cadena de formato de fecha se pasa como un argumento al objeto 
				txtSalida.append(""+objSDF.format(objDate)+"\n");
			}
		});
		
		temporizador.start();
	}

}
